Bug 869041 - [abrt] chm2pdf-0.9.1-11.fc17: chm2pdf:116:get_objective_urls_list:IOError: [Errno 2] No such file or directory: '/tmp/tmp8lHYvt/Guyton and Hall Textbook of Medical Physiology (12th Edn)/urlslist.txt'
[abrt] chm2pdf-0.9.1-11.fc17: chm2pdf:116:get_objective_urls_list:IOError: [E...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: chm2pdf (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
abrt_hash:ff4680ba134fe0f7acf4b847129...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 17:01 EDT by Giuseppe
Modified: 2013-05-18 09:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-18 09:18:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (316 bytes, text/plain)
2012-10-22 17:01 EDT, Giuseppe
no flags Details

  None (edit)
Description Giuseppe 2012-10-22 17:01:32 EDT
Version-Release number of selected component:
chm2pdf-0.9.1-11.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        /usr/bin/python /usr/bin/chm2pdf --webpage '/home/house/Scaricati/Guyton and Hall Textbook of Medical Physiology (12th Edn).chm' /home/house/Scaricati/Guyton.pdf
kernel:         3.6.2-4.fc17.x86_64

backtrace:
:chm2pdf:116:get_objective_urls_list:IOError: [Errno 2] No such file or directory: '/tmp/tmp8lHYvt/Guyton and Hall Textbook of Medical Physiology (12th Edn)/urlslist.txt'
:
:Traceback (most recent call last):
:  File "/usr/bin/chm2pdf", line 1098, in <module>
:    main(sys.argv)
:  File "/usr/bin/chm2pdf", line 1092, in main
:    convert_to_pdf(cfile, filename, outputfilename, options)
:  File "/usr/bin/chm2pdf", line 318, in convert_to_pdf
:    objective_urls=get_objective_urls_list(filename)
:  File "/usr/bin/chm2pdf", line 116, in get_objective_urls_list
:    flist=open(CHM2PDF_WORK_DIR+'/urlslist.txt','rU')
:IOError: [Errno 2] No such file or directory: '/tmp/tmp8lHYvt/Guyton and Hall Textbook of Medical Physiology (12th Edn)/urlslist.txt'
:
:Local variables in innermost frame:
:filename: '/home/house/Scaricati/Guyton and Hall Textbook of Medical Physiology (12th Edn).chm'
Comment 1 Giuseppe 2012-10-22 17:01:35 EDT
Created attachment 631740 [details]
File: core_backtrace
Comment 2 Fedora Admin XMLRPC Client 2013-02-03 15:35:03 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Pavel Alexeev 2013-03-30 13:05:26 EDT
Could you please attach chm file to reproduce that?
Comment 4 Giuseppe 2013-04-01 19:01:11 EDT
(In reply to comment #3)
> Could you please attach chm file to reproduce that?

sure...this is the link

http://dl.dropbox.com/u/52521041/Guyton%20and%20Hall%20Textbook%20of%20Medical%20Physiology%20(12th%20Edn).chm
Comment 5 Pavel Alexeev 2013-05-18 09:18:50 EDT
Thank you for your bugreport and willing make free software better!
This is old bug reported upstream: https://code.google.com/p/chm2pdf/issues/detail?id=3
I've incorporates provided there patch and additionally made one (submitted).

It is now in rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=5394935

Be ware it is only solve problem with special symbols in path (brackets, quotes, spaces) but there still one outstanding bug which belongs to python libs itself: 915340.

Note You need to log in before you can comment on or make changes to this bug.